# psockbun.h File Reference

`#include <ptlib.h>`
`#include <ptlib/ipsock.h>`
`#include <ptlib/sockets.h>`
`#include <ptlib/safecoll.h>`
`#include <list>`

Go to the source code of this file.

## Classes

class | PInterfaceMonitor
| This class is a singleton that will monitor the network interfaces on a machine and update a list aof clients on any changes to the number or addresses of the interfaces. More...
class | PInterfaceMonitorClient
| This is a base class for clients of the PInterfaceMonitor singleton object. More...
class | PInterfaceFilter
class | PMonitoredSockets
| This is a base class for UDP socket(s) that are monitored for interface changes. More...
struct | PMonitoredSockets::SocketInfo
class | PMonitoredSocketChannel
| This class can be used to access the bundled/monitored UDP sockets using the PChannel API. More...
class | PMonitoredSocketBundle
| This concrete class bundles a set of UDP sockets which are dynamically adjusted as interfaces are added and removed from the system. More...
class | PSingleMonitoredSocket
| This concrete class monitors a single scoket bound to a specific interface or address. More...

## Defines

#define | PINTERFACE_MONITOR_FACTORY_NAME "InterfaceMonitor"

## Typedefs

typedef PSafePtr< PMonitoredSockets > | PMonitoredSocketsPtr

## Define Documentation

#define PINTERFACE_MONITOR_FACTORY_NAME "InterfaceMonitor"

## Typedef Documentation

typedef PSafePtr<PMonitoredSockets> PMonitoredSocketsPtr